<template>
    <div v-if="user">
        <div class="card text-center">
            <div class="card-body">
                <h5 class="card-title">{{user.name}}</h5>
                <p class="card-subtitle">{{user.username}}</p>
                <p class="card-text">{{user.email}}</p>
            </div>
            <router-link class="card-link mb-2" :to="{ name: 'editUser',params: { username: user.username }}"><button class="btn btn-outline-primary">Edit your details</button></router-link>
        </div>
    </div>
</template>

<script>
    import UserService from "../../services/user.service";
    import {TokenService} from "../../services/token.service";
    export default {
        data() {
            return {
                user: null
            }
        },
        beforeRouteEnter(to, from, next) {
            const token = TokenService.getToken();
            UserService.getCurrentUser(token).subscribe(res => {
                    next(vm => vm.user = res.data.data)
                },
                err => console.log(err)
            );
        }
    }
</script>
